package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Bcd;
import com.brilliance.isc.bo.Bct;
import com.brilliance.isc.bo.Srm;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bcdgrp extends AbstractCommonVo {

    private Bcd rec;

    private Bct blk;

    private Bcacbs cbs;

    private PtsptaVo agt;

    private PtsptaVo agb;

    private PtsptaVo dre;

    private PtsptaVo drr;

    private PtsptaVo rog;

    private PtsptaVo rmi;

    private PtsptaVo co2;

    private PtsptaVo oap;

    private Srm srm;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Bcd();
        }
        if (blk == null) {
            blk = new Bct();
        }
        if (cbs == null) {
            cbs = new Bcacbs();
        }
        cbs.reset();
        if (agt == null) {
            agt = new PtsptaVo();
        }
        agt.reset();
        if (agb == null) {
            agb = new PtsptaVo();
        }
        agb.reset();
        if (dre == null) {
            dre = new PtsptaVo();
        }
        dre.reset();
        if (drr == null) {
            drr = new PtsptaVo();
        }
        drr.reset();
        if (rog == null) {
            rog = new PtsptaVo();
        }
        rog.reset();
        if (rmi == null) {
            rmi = new PtsptaVo();
        }
        rmi.reset();
        if (co2 == null) {
            co2 = new PtsptaVo();
        }
        co2.reset();
        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
        if (srm == null) {
            srm = new Srm();
        }
    }
}
